com.unitech.stuhflBridge

## Class BR_ST25RU3993_ChannelList.STUHFL_T_ST25RU3993_ChannelItem

- java.lang.Object
- - com.unitech.stuhflBridge.BR_ST25RU3993_ChannelList.STUHFL_T_ST25RU3993_ChannelItem

- Enclosing class:
    BR_ST25RU3993_ChannelList

      public class BR_ST25RU3993_ChannelList.STUHFL_T_ST25RU3993_ChannelItem
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `BR_ST25RU3993_ChannelList.STUHFL_T_ST25RU3993_Caps` | `caps` < I/O Param: List of frequencies to be used for hopping
    `long` | `frequency`
    `short` | `rfu1` < I/O Param: Tuning capacitors for each frequencies
    `short` | `rfu2` < rfu

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_ST25RU3993_ChannelItem(long frequency, short cin, short clen, short cout)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` < rfu

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### frequency

          public long frequency

    - #### caps

          public BR_ST25RU3993_ChannelList.STUHFL_T_ST25RU3993_Caps caps

      < I/O Param: List of frequencies to be used for hopping

    - #### rfu1

          public short rfu1

      < I/O Param: Tuning capacitors for each frequencies

    - #### rfu2

          public short rfu2

      < rfu

  - ### Constructor Detail

    - #### STUHFL_T_ST25RU3993_ChannelItem

          public STUHFL_T_ST25RU3993_ChannelItem(long frequency,
                                                 short cin,
                                                 short clen,
                                                 short cout)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      < rfu
      Overrides:
        `toString` in class `java.lang.Object`